cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From <ross.bur...@blueyonder.co.uk>
Subject RE: [VOTE] Re: [C1] and xalan2
Date Fri, 19 Jan 2001 14:24:56 GMT
> Which versions should C1 now use? Options:
> 
> 1. Just upgrade to Xalan 1.2.2 and Xerces 1.2.3 (cocoon 1 is very behind on 
> this!), but tweak things (Steffen's patches) so Xalan2 can be used. -1.
> 
> 2. As (1) but include a Xalan2Transformer so people can choose to use Xalan1 
> or Xalan2 in cocoon.properties. But we would not ship Xalan2 - it would be 
> an optional download, like FESI. +1.
> 
> 3. Switch over to Xalan2 completely. Bad idea since it is still in beta and 
> based on unstable APIs. -1.
> 
> 4. Don't upgrade anything. -1.

I'm +1 for (2) as well - keep compatible now, allow for upgrading in the future.

Ross

Mime
View raw message